# AIS_KindOfSurface.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | AIS_KindOfSurface { AIS_KOS_Plane, AIS_KOS_Cylinder, AIS_KOS_Cone, AIS_KOS_Sphere, AIS_KOS_Torus, AIS_KOS_Revolution, AIS_KOS_Extrusion, AIS_KOS_OtherSurface }
| Declares the type of standard datum of an Interactive Object. . More...

## Enumeration Type Documentation

enum AIS_KindOfSurface

Enumeration values:

  AIS_KOS_Plane |
  AIS_KOS_Cylinder |
  AIS_KOS_Cone |
  AIS_KOS_Sphere |
  AIS_KOS_Torus |
  AIS_KOS_Revolution |
  AIS_KOS_Extrusion |
  AIS_KOS_OtherSurface |